<?php

declare(strict_types=1);

namespace App\Model;

use Hyperf\DbConnection\Model\Model;

/**
 * @property int $id 
 * @property int $template_id 
 * @property int $sector_id 
 * @property string $component_name 
 * @property string $component_img 
 * @property string $component_code 
 * @property \Carbon\Carbon $created_at 
 * @property \Carbon\Carbon $updated_at 
 */
class Component extends Model
{
    /**
     * The table associated with the model.
     */
    protected ?string $table = 'component';

    /**
     * The attributes that are mass assignable.
     */
    protected array $fillable = [];

    /**
     * The attributes that should be cast to native types.
     */
    protected array $casts = ['id' => 'integer', 'template_id' => 'integer', 'sector_id' => 'integer', 'created_at' => 'datetime', 'updated_at' => 'datetime'];
}
